Package org.bukkit.conversations

# Class FixedSetPrompt

java.lang.Object
org.bukkit.conversations.ValidatingPrompt
org.bukkit.conversations.FixedSetPrompt

All Implemented Interfaces:
  `Cloneable`, `Prompt`

public abstract class FixedSetPrompt extends ValidatingPrompt
FixedSetPrompt is the base class for any prompt that requires a fixed set response from the user.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected List<String>`
`fixedSet`

### Fields inherited from interface org.bukkit.conversations.Prompt

`END_OF_CONVERSATION`

## Constructor Summary

Constructors
Constructor
Description
`FixedSetPrompt(@NotNull String... fixedSet)`
Creates a FixedSetPrompt from a set of strings.

## Method Summary

Modifier and Type
Method
Description
`protected @NotNull String`
`formatFixedSet()`
Utility function to create a formatted string containing all the options declared in the constructor.
`protected boolean`
`isInputValid(@NotNull ConversationContext context, @NotNull String input)`
Override this method to check the validity of the player's input.

### Methods inherited from class org.bukkit.conversations.ValidatingPrompt

`acceptInput, acceptValidatedInput, blocksForInput, getFailedValidationText`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.bukkit.conversations.Prompt

`getPromptText`

## Field Details

### fixedSet

protected List<String> fixedSet

## Constructor Details

### FixedSetPrompt

public FixedSetPrompt(@NotNull @NotNull String... fixedSet)
Creates a FixedSetPrompt from a set of strings.

foo = new FixedSetPrompt("bar", "cheese", "panda");

Parameters:
  `fixedSet` - A fixed set of strings, one of which the user must type.

## Method Details

### isInputValid

protected boolean isInputValid(@NotNull @NotNull ConversationContext context, @NotNull @NotNull String input)
Description copied from class: `ValidatingPrompt`
Override this method to check the validity of the player's input.

Specified by:
  `isInputValid` in class `ValidatingPrompt`
Parameters:
  `context` - Context information about the conversation.
  `input` - The player's raw console input.
Returns:
  True or false depending on the validity of the input.

### formatFixedSet

@NotNull protected @NotNull String formatFixedSet()
Utility function to create a formatted string containing all the options declared in the constructor.

Returns:
  the options formatted like "[bar, cheese, panda]" if bar, cheese, and panda were the options used